### Method

# Gtk MenuButtonset_icon_name

#### Declaration [src]

    void
    gtk_menu_button_set_icon_name (
      GtkMenuButton* menu_button,
      const char* icon_name
    )

#### Description [src]

Sets the name of an icon to show inside the menu button.

Setting icon name resets `GtkMenuButton:label` and `GtkMenuButton:child`.

If `GtkMenuButton:always-show-arrow` is set to `TRUE` and `GtkMenuButton:direction` is not `GTK_ARROW_NONE`, a dropdown arrow will be shown next to the icon.

Sets property | `Gtk.MenuButton:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.